NXOpen .NET Reference  12.0.0
Public Attributes | List of all members
NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions Struct Reference

Describes the rendering style and the appearance of edges and silhouettes in the view. More...

Public Attributes

NXOpen.Preferences.ViewVisualizationVisual.RenderingStyle RenderingStyle
 Rendering style for geometry. More...
 
NXOpen.Preferences.ViewVisualizationVisual.HiddenEdges HiddenEdges
 Appearance of hidden edges More...
 
bool Silhouettes
 Allows to control whether the silhouettes (or outlines) on cones, cylinders, spheres, and Tori solid bodies display. More...
 
bool SmoothEdges
 Allows to control whether edges shared by tangent faces display or not. More...
 
int SmoothEdgeColor
 Color attribute for visible smooth edges More...
 
NXOpen.Preferences.ViewVisualizationVisual.SmoothEdgeFont SmoothEdgeFont
 Font attribute for visible smooth edges More...
 
NXOpen.Preferences.ViewVisualizationVisual.SmoothEdgeWidth SmoothEdgeWidth
 Width attribute for visible smooth edges More...
 
double SmoothEdgeAngleTolerance
 Angle tolerance (in degrees) attribute for visible smooth edges. More...
 

Detailed Description

Describes the rendering style and the appearance of edges and silhouettes in the view.

Member Data Documentation

NXOpen.Preferences.ViewVisualizationVisual.HiddenEdges NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.HiddenEdges

Appearance of hidden edges

NXOpen.Preferences.ViewVisualizationVisual.RenderingStyle NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.RenderingStyle

Rendering style for geometry.

bool NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.Silhouettes

Allows to control whether the silhouettes (or outlines) on cones, cylinders, spheres, and Tori solid bodies display.

true for visible false for invisible.

double NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.SmoothEdgeAngleTolerance

Angle tolerance (in degrees) attribute for visible smooth edges.

It has a range from 0.00001 to 30.0.

int NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.SmoothEdgeColor

Color attribute for visible smooth edges

NXOpen.Preferences.ViewVisualizationVisual.SmoothEdgeFont NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.SmoothEdgeFont

Font attribute for visible smooth edges

bool NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.SmoothEdges

Allows to control whether edges shared by tangent faces display or not.

True for visible and False for invisible.

NXOpen.Preferences.ViewVisualizationVisual.SmoothEdgeWidth NXOpen.Preferences.ViewVisualizationVisual.DisplayAppearanceOptions.SmoothEdgeWidth

Width attribute for visible smooth edges


The documentation for this struct was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.